Package org.eclipse.ecf.provider.generic

## Class ContainerMessage.SharedObjectMessage

- java.lang.Object
- - org.eclipse.ecf.provider.generic.ContainerMessage.SharedObjectMessage

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ContainerMessage

    public static final class ContainerMessage.SharedObjectMessage
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`Serializable` `getData()`
`ID` `getFromSharedObjectID()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getData

    public Serializable getData()

Returns:
  Returns the data.

#### getFromSharedObjectID

    public ID getFromSharedObjectID()

Returns:
  Returns the fromSharedObjectID.